Main Page Class Hierarchy Compound List File List Compound Members

# Global Class Reference

global variables are maintained in here. More...

`#include <units.h>`

List of all members.

## Public Methods
double | USERUNITS ()
| how accurate is the drawing
double | PHYSUNITS ()
| how many meters is 1 unit in the database
void | USERUNITS (double userunit)
| how accurate is the drawing
void | PHYSUNITS (double physicalunit)
| how many meters is 1 unit in the database
double | ENTRYUNITS ()
| entry of data
## Public Attributes
long | EVENT_COUNTER
| event counter each element gets a unique ID by incrementing this value
GDSMainWindow * | MAINWINDOW
| pointer to the mainwindow
CommandHandler * | CMDH
| pointer to the commandhandler
bool | INITIALIZED
| is the interface initialized
DrawDriver * | SCRDRV
| pointer to the screendriver
ToolControl * | TOOLCTRL
| pointer to the toolcontroller
AliasList * | ALIASLIST
| aliaslist for internal variables
Setup * | SETUP
| setup conatining settings for layers
FillPatterns * | FILLPAT
| fill pattern for primitive filling

## Detailed Description

global variables are maintained in here.

Pointers to mainwindow, commandhandler, screendriver toolcontr, are stored here for quick access. There is only one instance of this class. That instance is Global to all classes.

See also:
  Setup , CommandHandler , GDSMainWindow , DrawDriver , WindowsDriver , ToolControl

The documentation for this class was generated from the following file:

- units.h

Global class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page